package com.steering.pss.sale.order.craftDesign.model;

public class CraftOrdDesignMscGzGgPlEntity {
	/**
	 * DESGIN_KEY
	 */
	private String desginKey = "";
	/**
	 * 全程产线号(COM_MSC_BACKLOG)
	 */
	private String mscPline = "";
	/**
	 * 轧管规格代码
	 */
	private String specCode = "";
	/**
	 * 产线代码
	 */
	private String plineCode = "";
	/**
	 * 产线描述
	 */
	private String plineName = "";
	/**
	 * 轧制长度
	 */
	private String prdLen = "";
	/**
	 * 损失率
	 */
	private String lossRate = "";
	/**
	 * 能否生产（1是0否）
	 */
	private String isOutput = "";

	/**
	 * DESGIN_KEY
	 * 
	 * @return value
	 */
	public String getDesginKey() {
		return desginKey;
	}

	/**
	 * DESGIN_KEY
	 * 
	 * @param desginKey
	 *            value
	 */
	public void setDesginKey(String desginKey) {
		this.desginKey = desginKey;
	}

	/**
	 * 全程产线号(COM_MSC_BACKLOG)
	 * 
	 * @return value
	 */
	public String getMscPline() {
		return mscPline;
	}

	/**
	 * 全程产线号(COM_MSC_BACKLOG)
	 * 
	 * @param mscPline
	 *            value
	 */
	public void setMscPline(String mscPline) {
		this.mscPline = mscPline;
	}

	/**
	 * 轧管规格代码
	 * 
	 * @return value
	 */
	public String getSpecCode() {
		return specCode;
	}

	/**
	 * 轧管规格代码
	 * 
	 * @param specCode
	 *            value
	 */
	public void setSpecCode(String specCode) {
		this.specCode = specCode;
	}

	/**
	 * 产线代码
	 * 
	 * @return value
	 */
	public String getPlineCode() {
		return plineCode;
	}

	/**
	 * 产线代码
	 * 
	 * @param plineCode
	 *            value
	 */
	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}

	/**
	 * 产线描述
	 * 
	 * @return value
	 */
	public String getPlineName() {
		return plineName;
	}

	/**
	 * 产线描述
	 * 
	 * @param plineName
	 *            value
	 */
	public void setPlineName(String plineName) {
		this.plineName = plineName;
	}

	/**
	 * 轧制长度
	 * 
	 * @return value
	 */
	public String getPrdLen() {
		return prdLen;
	}

	/**
	 * 轧制长度
	 * 
	 * @param prdLen
	 *            value
	 */
	public void setPrdLen(String prdLen) {
		this.prdLen = prdLen;
	}

	/**
	 * 损失率
	 * 
	 * @return value
	 */
	public String getLossRate() {
		return lossRate;
	}

	/**
	 * 损失率
	 * 
	 * @param lossRate
	 *            value
	 */
	public void setLossRate(String lossRate) {
		this.lossRate = lossRate;
	}

	/**
	 * 能否生产（1是0否）
	 * 
	 * @return value
	 */
	public String getIsOutput() {
		return isOutput;
	}

	/**
	 * 能否生产（1是0否）
	 * 
	 * @param isOutput
	 *            value
	 */
	public void setIsOutput(String isOutput) {
		this.isOutput = isOutput;
	}
}
